Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234521 - kernel-xen should not include kvm modules
Summary: kernel-xen should not include kvm modules
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-03-29 19:59 UTC by Will Woods
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 14:43:23 UTC


Attachments (Terms of Use)

Description Will Woods 2007-03-29 19:59:39 UTC
The current package (kernel-xen-2.6.20-2925.5.fc7) contains the kvm modules.
When these are loaded (by libvirt-qemud, presumably) the kernel crashes. Hard.
The traceback shows kvm_intel all over the place.

Moving the /lib/modules/$(uname -r)/kernel/drivers/kvm directory allows the
system to boot and run normally.

As I understand it, these two things are fundamentally incompatible, and
kernel-xen should just have its config changed to not build the kvm modules.

Comment 1 Daniel Berrange 2007-03-29 20:18:06 UTC
I dunno what's causing them to be loaded, but its not  libvirt_qemud - we merely
check for existance of /dev/kvm - we never try to actually create it / load
modules to create it. You're right that we need to kill the kvm modules from the
kernel-xen though - they simply won't co-exist with Xen because the Xen HV has
taken ownership of the VMX / SVM  capabilities.


Comment 2 Jarod Wilson 2007-03-30 14:43:23 UTC
CONFIG_KVM, CONFIG_KVM_INTEL and CONFIG_KVM_AMD have all been disabled for the
next kernel build.


Note You need to log in before you can comment on or make changes to this bug.